Subject: Re: bug#50989: 28.0.60; nobreak-char-display in Eldoc buffers

From: João Távora <[email-masked]>
Date: Sun, 3 Oct 2021 11:34:32 +0100

On Sun, Oct 3, 2021 at 11:03 AM Augusto Stoffel <[email-masked]> wrote:
>
> Using the pylsp language server via Eglot, I sometimes get docstrings
> with lots of non-breaking spaces in them.  Those end up being
> highlighted with the `nobreak-space' face in the Eldoc buffer, which is
> very distracting.
>
> I'm not sure this should be addressed in Eglot or in Eldoc.  But the
> following advice fixes things for me.
>
>     (advice-add 'eldoc--format-doc-buffer :after
>                 (lambda (&rest _) "Don't display non-breaking spaces."
>                   (with-current-buffer eldoc--doc-buffer
>                     (setq-local nobreak-char-display nil))))

I'd say put this in ElDoc directly. If someone then objects, we could make a
eldoc-no-break-char-display variable.  Can you make a patch?

João